<?
   session_start();
  require('../valtiempoinact.php');
  require('../conectar.php');
  $usuario_nivel=$_SESSION['usuario_nivel'];
  $usuario_login=$_SESSION['usuario_login'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title></title>
<link rel="stylesheet" href="disenio_anuncios/estilo.css" type="text/css" />
<script language="javascript" type="text/javascript" src="disenio_anuncios/validacion.js"></script>

<script type="text/JavaScript">
<!--
function MM_popupMsg(msg) { //v1.0
  alert(msg);
}
//-->
</script>

<script language="javascript">
function anadir(frm) {
   if(frm.agregar.value == ''){
      alert('No puedes Introducir opciones en blanco');
   }else{
  opt = new Option(frm.agregar.value,frm.agregar.value);
  frm.sitio_web.options[frm.sitio_web.options.length] = opt;
  frm.agregar.value = '';
  }
}
</script>
</head>
<body onload="foco()">
						<?
						 if(isset($_POST['botonmodificar']))
						  {
						 	
						  $repetidos=mysql_query("select count(*) as repetidos from anuncios where anuncio='$_POST[anuncio]' and fecha_ingreso='$_POST[fecha_ingreso]' and sitio_web='$_POST[sitio_web]'",$db_conexion);
						  $rr=mysql_fetch_array($repetidos);
						  if($rr['repetidos']==0)
						  {		
						  					              
						  $anuncios=mysql_query("update anuncios set anuncio='$_POST[anuncio]',sitio_web='$_POST[sitio_web]',fecha_ingreso='$_POST[fecha_ingreso]',hora='$_POST[hora_ingreso]' where id_anuncio='$_POST[id_anuncio]'",$db_conexion) or die("error en el insert".mysql_error());
						  
						 ?>
						 <script language="javascript">
						 alert('Los datos han sido modificados correctamente. Recargue la página principal por favor');
						 window.close();
						 </script>
						 <?php
						  }
						  else
						  {
						 ?>
						 <script language="javascript">alert('El anuncio ya existe. Favor de Verificar');</script>
						 <?php
						  }
						  
						  }
						 ?>
			
<!-- INICIA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
<center>
<div id="formulario">

<?php
$datos_anuncios=mysql_query("select * from anuncios where id_anuncio='$_GET[id]'");
if($ranuncio=mysql_fetch_array($datos_anuncios))
{
 $anuncio=$ranuncio['anuncio'];
 $sitio_web=$ranuncio['sitio_web'];
 $fecha_ingreso=$ranuncio['fecha_ingreso'];
}
?>
	<div class="titulos">Anuncios</div>
	<form name="form1" action="" method="post" onsubmit="return validar(this)">
	<input type="hidden" name="id_anuncio" value="<?php echo $_GET['id']; ?>" />
	<table border="0" width="358" height="35" align="center" class="tablas">
		  <tr>
			<td width="125"><div class="datos">Anuncio</div></td>
			<td width="223"><div class="cajas"><input name="anuncio" type="text" size="30" value="<?php echo $anuncio; ?>"/>
			</div></td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="358" height="35" align="center" class="tablas">
		  <tr>
			<td width="125"><div class="datos">Directorio</div></td>
			<td width="223">
            <div class="cajas">
			<select name="sitio_web">
            <option value=""></option>
			<?php
			$directorios=mysql_query("select * from directorios",$db_conexion);
			while($rdir=mysql_fetch_array($directorios))
			{
			 if($sitio_web==$rdir['id'])
			   {
				echo "<option value='$rdir[id]' style='font-size:10.5px;' selected='selected'>$rdir[descripcion]</option>";
			   }
			   else
			   {
			   echo "<option value='$rdir[id]' style='font-size:10.5px;'>$rdir[descripcion]</option>";
			   }
			}
			?>
			</select>
			</div>
            </td>
		  </tr>
	</table>   
	<br />
	
	<table border="0" width="358" height="35" align="center" class="tablas">
	  <tr>
		<td width="125"><div class="datos">Fecha Ingreso</div></td>
		<td width="223"><div class="cajas"><input type="text" name="fecha_ingreso" value="<?php echo $fecha_ingreso; ?>" size="10" readonly="readonly"></div></td>
	  </tr>
	</table>  
	<br />	    
<input type="hidden" name="hora_ingreso" value="<?php echo date("H:i:s"); ?>" readonly="readonly" style="background-color:#f5f5f5; text-align:right; border:none;">

		<table border="0" width="366" height="35" align="center" class="tablas">
			
			  <tr>
			    <td><div class="titulos">Confirmar que los datos se han introducido correctamente.</div></td>
		      </tr>
			  <tr>
				<td width="208"><div align="center">
				  <input type="submit" name="botonmodificar" id="enviar" value="Modificar" />
				  </div></td>
			  </tr>
    </table>  
</form>

</div>
</center>
</body>
</html>			 
	<!-- TERMINA FORMULARIO DE REGISTRO DE BOLSA DE TRABAJO-->					
			
						